<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Main extends CI_Controller {

    public function __construct() {
        parent::__construct();

        $this->load->database();
        $this->load->helper('url');

        $this->load->library('grocery_CRUD');
    }

    public function _example_output($output = null) {
        $this->load->view('example.php', $output);
    }

    public function offices() {
        $output = $this->grocery_crud->render();

        $this->_example_output($output);
    }

    public function index() {
        $this->_example_output((object) array('output' => '', 'js_files' => array(), 'css_files' => array()));
    }

	public function client_logo() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_client');
        $crud->columns('client_logo_image');
        $crud->display_as('client_logo_image', 'Logo Image');
        $crud->set_field_upload('client_logo_image', 'upload/client_logo');
        $crud->callback_before_delete(array($this,'unlink_logo'));
        

        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Client Logo');
        $output = $crud->render();

        $this->_example_output($output);
    }
    public function unlink_logo($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_client')->row();
	
		unlink('upload/client_logo/'.$row->client_logo_image);
	   
		return true;
	}
	public function homeSlider() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_home_slider');
        $crud->columns('image','Title','sort_desc','link');
        $crud->display_as('image', 'Slider Image')
			 ->display_as('Title', 'Title')
			 ->display_as('sort_desc', 'Short Description')
			 ->display_as('link', 'Page Url');
        $crud->set_field_upload('image', 'upload/slider');
        $crud->callback_before_delete(array($this,'unlink_slider'));
        

        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Home Slider');
        $output = $crud->render();

        $this->_example_output($output);
    }
    public function unlink_slider($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_home_slider')->row();
	
		unlink('upload/slider/'.$row->client_logo_image);
	   
		return true;
	}
	public function news() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_news');
        $crud->columns('title');

         $crud->display_as('title', 'News Title');
         $crud->display_as('news_url', 'News URL');
        $crud->set_subject('News Ticker');
        $output = $crud->render();

        $this->_example_output($output);
    }
    
    public function counting() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_counting');
        $crud->columns('title');

         $crud->display_as('title', 'Counting Title');
        $crud->set_subject('Counting Text');
        $output = $crud->render();

        $this->_example_output($output);
    }
    
    public function calculator() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_calculator_news');
        $crud->columns('title');

         $crud->display_as('title', 'Calculator News Text');
        $crud->set_subject('Calculator News Text');
        $output = $crud->render();

        $this->_example_output($output);
    }

/*===============================Project===============================*/

 	public function cpaxModel() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_capex_model');
        $crud->columns('details');

         $crud->display_as('details', 'Content Details');
        $crud->set_subject('CAPEX Model');
        $output = $crud->render();

        $this->_example_output($output);
    }
	public function opexModel() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_opex_model');
        $crud->columns('details');

         $crud->display_as('details', 'Content Details');
        $crud->set_subject('OPEX Model');
        $output = $crud->render();

        $this->_example_output($output);
    }
	  public function solarStreetLight() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_solarstreetlight');
        $crud->columns('street_project_image','street_project_details');
        $crud->display_as('street_project_image', 'Street Light Image')
                ->display_as('street_project_details', 'Content Details');
        $crud->set_field_upload('street_project_image', 'upload/street_project');
        $crud->callback_before_delete(array($this,'unlink_streetLight'));
        
        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Solar Street Light');
        $output = $crud->render();

        $this->_example_output($output);
    }
     public function unlink_streetLight($primary_key)
	{
    $row = $this->db->where('id',$primary_key)->get('tbl_solarstreetlight')->row();

    unlink('upload/street_project/'.$row->street_project_image);
   
    return true;
}
  public function solarPump() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_solarpump');
        $crud->columns('project_image','project_details');
        $crud->display_as('project_image', 'Solar Pump Image')
                ->display_as('project_details', 'Content Details');
        $crud->set_field_upload('project_image', 'upload/street_project');
        $crud->callback_before_delete(array($this,'unlink_solarpump'));
        
        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Solar Pump');
        $output = $crud->render();

        $this->_example_output($output);
    }
     public function unlink_solarpump($primary_key)
{
    $row = $this->db->where('id',$primary_key)->get('tbl_solarpump')->row();

    unlink('upload/street_project/'.$row->project_image);
   
    return true;
}
	public function solarWindHybrid() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_windhybrid');
        $crud->columns('details');

         $crud->display_as('details', 'Content Details');
        $crud->set_subject('Solar Wind Hybrid');
        $output = $crud->render();

        $this->_example_output($output);
    }
	public function solarHomeSystem() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_solarhome');
        $crud->columns('details');

         $crud->display_as('details', 'Content Details');
        $crud->set_subject('Solar Home System');
        $output = $crud->render();

        $this->_example_output($output);
    }
	public function solarServiceSolution() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_solarsolution');
        $crud->columns('details');

         $crud->display_as('details', 'Content Details');
        $crud->set_subject('Solar Service & Solution');
        $output = $crud->render();

        $this->_example_output($output);
    }

/*===============================Project===============================*/

    public function banglalink() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_ban_project');
        $crud->columns('ban_project_img', 'pic_name', 'ban_project_details');

        $crud->set_field_upload('ban_project_img', 'upload/banglalink_project');

        $crud->set_subject('Banglalink');
        $output = $crud->render();

        $this->_example_output($output);
    }
        public function bndb_project() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_bpdb_project');
        $crud->columns('bpdb_project_name', 'bpdb_project_details', 'bpdb_project_image');

        $crud->set_field_upload('bpdb_project_image', 'upload/bpdb_project');
         $crud->display_as('bpdb_project_name', 'Project Name')
                ->display_as('bpdb_project_details', 'Project Details')
                ->display_as('bpdb_project_image', 'Project Image');
        $crud->set_subject('BPDB Project');
        $output = $crud->render();

        $this->_example_output($output);
    }
/*===============================Media Room===============================*/

     public function pressRelease() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_press');
        $crud->columns('image','image_title');
        $crud->display_as('image', 'Press Image')
                ->display_as('image_title', 'Press Note');
        $crud->set_field_upload('image', 'upload/press');
        $crud->callback_before_delete(array($this,'unlink_press'));
        
        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Project Gallery');
        $output = $crud->render();

        $this->_example_output($output);
    }
     public function unlink_press($primary_key)
{
    $row = $this->db->where('id',$primary_key)->get('tbl_press')->row();

    unlink('upload/press/'.$row->image);
   
    return true;
}
 public function notice() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_notice');
        $crud->columns('details');

         $crud->display_as('details', 'Content Details');
        $crud->set_subject('Notice');
        $output = $crud->render();

        $this->_example_output($output);
    }
	  public function events() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_events');
        $crud->columns('event_image','event_details');
        $crud->display_as('event_image', 'Event Image')
                ->display_as('event_details', 'Event Details');
        $crud->set_field_upload('event_image', 'upload/events');
        $crud->callback_before_delete(array($this,'unlink_events'));
        
        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Event Gallery');
        $output = $crud->render();

        $this->_example_output($output);
    }
     public function unlink_events($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_press')->row();
	
		unlink('upload/events/'.$row->event_image);
	   
		return true;
	}
	
	 public function projectGallery() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_project_gallery');
        $crud->columns('project_name','project_image','details'/*,'project_url'*/);
        $crud->display_as('project_name', 'Project Name')
             ->display_as('details', 'Project Details')
			/* ->display_as('project_url', 'Project URL')*/
			 ->display_as('project_image', 'Project Image');
        $crud->set_field_upload('project_image', 'upload/project_gallery');
        $crud->callback_before_delete(array($this,'unlink_project_gallery'));
      /*  $crud->unset_add_fields('project_url');*/
        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Project Gallery');
        $output = $crud->render();

        $this->_example_output($output);
    }
     public function unlink_project_gallery($primary_key)
{
    $row = $this->db->where('id',$primary_key)->get('tbl_project_gallery')->row();

    unlink('upload/project_gallery/'.$row->project_image);
   
    return true;
}
 public function video() {       
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_video');
        $crud->columns('video_url','details');
        $crud->display_as('video_url', 'Video URL')                
             ->display_as('details', 'Details');
        $crud->set_subject('Video');
        $crud->unset_export();
        $crud->unset_print();
        $output = $crud->render();

        $this->_example_output($output);
    }
public function banglalinkGallery() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_banglalink_gallary');
        $crud->columns('image');
        $crud->display_as('image', 'Gallery Image');
        $crud->set_field_upload('image', 'assets/project_thumbnil/banglalink');
        $crud->callback_before_delete(array($this,'unlink_banglalink_gallary'));
        

        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Gallery Image');
        $output = $crud->render();

        $this->_example_output($output);
    }
    public function unlink_banglalink_gallary($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_banglalink_gallary')->row();
	
		unlink('assets/project_thumbnil/banglalink/'.$row->image);
	   
		return true;
	}
	public function bjriGallery() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_biri_gallery');
        $crud->columns('image');
        $crud->display_as('image', 'Gallery Image');
        $crud->set_field_upload('image', 'assets/project_thumbnil/bjri');
        $crud->callback_before_delete(array($this,'unlink_bjri_gallary'));
        

        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Gallery Image');
        $output = $crud->render();

        $this->_example_output($output);
    }
    public function unlink_bjri_gallary($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_biri_gallery')->row();
	
		unlink('assets/project_thumbnil/bjri/'.$row->image);
	   
		return true;
	}
	public function ledLightGallery() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_led_light_gallery');
        $crud->columns('image');
        $crud->display_as('image', 'Gallery Image');
        $crud->set_field_upload('image', 'assets/project_thumbnil/led_light');
        $crud->callback_before_delete(array($this,'unlink_led_light_gallary'));
        

        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Gallery Image');
        $output = $crud->render();

        $this->_example_output($output);
    }
    public function unlink_led_light_gallary($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_led_light_gallery')->row();
	
		unlink('assets/project_thumbnil/led_light/'.$row->image);
	   
		return true;
	}
	public function solarPumpGallery() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_solar_pump_gallery');
        $crud->columns('image');
        $crud->display_as('image', 'Gallery Image');
        $crud->set_field_upload('image', 'assets/project_thumbnil/solar_pump');
        $crud->callback_before_delete(array($this,'unlink_solar_pump_gallary'));
        

        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Gallery Image');
        $output = $crud->render();

        $this->_example_output($output);
    }
    public function unlink_solar_pump_gallary($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_solar_pump_gallery')->row();
	
		unlink('assets/project_thumbnil/solar_pump/'.$row->image);
	   
		return true;
	}
	public function miniGridGallery() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_solar_mini_grid_gallery');
        $crud->columns('image');
        $crud->display_as('image', 'Gallery Image');
        $crud->set_field_upload('image', 'assets/project_thumbnil/solar_mini_grid');
        $crud->callback_before_delete(array($this,'unlink_solar_mini_grid_gallary'));
        

        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Gallery Image');
        $output = $crud->render();

        $this->_example_output($output);
    }
    public function unlink_solar_mini_grid_gallary($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_solar_mini_grid_gallery')->row();
	
		unlink('assets/project_thumbnil/solar_mini_grid/'.$row->image);
	   
		return true;
	}
	public function eventsGallery() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_events_gallery');
        $crud->columns('image');
        $crud->display_as('image', 'Gallery Image');
        $crud->set_field_upload('image', 'assets/project_thumbnil/events');
        $crud->callback_before_delete(array($this,'unlink_events_gallary'));
        

        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Gallery Image');
        $output = $crud->render();

        $this->_example_output($output);
    }
    public function unlink_events_gallary($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_events_gallery')->row();
	
		unlink('assets/project_thumbnil/events/'.$row->image);
	   
		return true;
	}
	public function othersGallery() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_others_gallery');
        $crud->columns('image');
        $crud->display_as('image', 'Gallery Image');
        $crud->set_field_upload('image', 'assets/project_thumbnil/other');
        $crud->callback_before_delete(array($this,'unlink_other_gallary'));
        

        $crud->unset_export();
        $crud->unset_print();
        $crud->set_subject('Gallery Image');
        $output = $crud->render();

        $this->_example_output($output);
    }
    public function unlink_other_gallary($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_others_gallery')->row();
	
		unlink('assets/project_thumbnil/other/'.$row->image);
	   
		return true;
	}
/*===============================Who we are===============================*/
 public function mission() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_mission');
        $crud->columns('mission_details');

       
         $crud->display_as('mission_details', 'Content Details');
        $crud->set_subject('Mission');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function vission() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_vission');
        $crud->columns('vission_details');

       
         $crud->display_as('vission_details', 'Content Details');
        $crud->set_subject('Vission');
        $output = $crud->render();

        $this->_example_output($output);
    }
	public function speechCOO() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_speech_coo');
        $crud->columns('coo_speech','coo_image');
		$crud->display_as('coo_speech', 'COO Speech')
                ->display_as('coo_image', 'COO Image');
        $crud->set_field_upload('coo_image', 'upload/photo');
        $crud->callback_before_delete(array($this,'unlink_coo_image'));

       
        $crud->set_subject('Speech COO');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function unlink_coo_image($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_speech_coo')->row();
	
		unlink('upload/photo/'.$row->coo_image);
	   
		return true;
	}
	public function speechMD() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_speech_md');
        $crud->columns('md_speech','md_image');
		$crud->display_as('md_speech', 'MD Speech')
                ->display_as('md_image', 'MD Image');
        $crud->set_field_upload('md_image', 'upload/photo');
        $crud->callback_before_delete(array($this,'unlink_md_image'));

       
        $crud->set_subject('Speech MD');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function unlink_md_image($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_speech_md')->row();
	
		unlink('upload/photo/'.$row->md_image);
	   
		return true;
	}
	 public function guidingPrincipal() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_core_values');
        $crud->columns('details');

       
         $crud->display_as('details', 'Content Details');
        $crud->set_subject('Guiding Principal');
        $output = $crud->render();

        $this->_example_output($output);
    }
	
	public function credentials() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_our_credentials');
        $crud->columns('file_upload','title');
		$crud->display_as('file_upload', 'File Upload')
		     ->display_as('title', 'File Title');
        $crud->set_field_upload('file_upload', 'upload/credentials');
        $crud->callback_before_delete(array($this,'unlink_management'));

       
        $crud->set_subject('Our Credentials');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function unlink_management($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_our_credentials')->row();
	
		unlink('upload/credentials/'.$row->image);
	   
		return true;
	}
	/*===============================Download===============================*/

	public function companyProfile() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_company_profile');
        $crud->columns('details','file_upload');
		$crud->display_as('details', 'Company Profile')
                ->display_as('file_upload', 'Upload File');
        $crud->set_field_upload('file_upload', 'assets/downloads');
        $crud->callback_before_delete(array($this,'unlink_file'));

       
        $crud->set_subject('Company Profile');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function unlink_file($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_company_profile')->row();
	
		unlink('assets/downloads/'.$row->file_upload);
	   
		return true;
	}
		public function gsmaVandor() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_gsmvandor');
        $crud->columns('details','file_upload');
		$crud->display_as('details', 'GSMA Details')
                ->display_as('file_upload', 'File Upload');
        $crud->set_field_upload('file_upload', 'assets/downloads');
        $crud->callback_before_delete(array($this,'unlink_gsmfile'));

       
        $crud->set_subject('GSMA Vandor');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function unlink_gsmfile($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_gsmvandor')->row();
	
		unlink('assets/downloads/'.$row->file_upload);
	   
		return true;
	}
		public function othersDownload() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_download_others');
        $crud->columns('details','url');
		$crud->display_as('details', 'Others Download Details')
                ->display_as('url', 'File Upload');
        $crud->set_field_upload('url', 'assets/downloads');
        $crud->callback_before_delete(array($this,'unlink_others'));

       
        $crud->set_subject('Others Download');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function unlink_others($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_download_others')->row();
	
		unlink('assets/downloads/'.$row->file_upload);
	   
		return true;
	}
		/*===============================About Green Energy===============================*/
	public function solerEnergy() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_solar_energy');
        $crud->columns('details');

       
         $crud->display_as('details', 'Content Details');
        $crud->set_subject('Soler Energy');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function windProspects() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_wind');
        $crud->columns('details');

       
         $crud->display_as('details', 'Content Details');
        $crud->set_subject('Wind Prospects');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function biogasBiomass() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_bio_gass');
        $crud->columns('details');

       
         $crud->display_as('details', 'Content Details');
        $crud->set_subject('Bio Gas/Bio Mass');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function hydro() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_hydro');
        $crud->columns('details');

       
         $crud->display_as('details', 'Content Details');
        $crud->set_subject('Hydro');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function internationalBestPractices() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_international');
        $crud->columns('details');

       
         $crud->display_as('details', 'Content Details');
        $crud->set_subject('International Best Practices');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function otherRenewableEnergy() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_renewable_energy');
        $crud->columns('details');

       
         $crud->display_as('details', 'Content Details');
        $crud->set_subject('Renewable Energy');
        $output = $crud->render();

        $this->_example_output($output);
    }
	    public function contact() {       
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_contact');
        $crud->columns('company_name', 'address', 'contact_number', 'email');
        $crud->display_as('company_name', 'Company Name')
                ->display_as('address', 'Address')
                ->display_as('contact_number', 'Contact Number')
                ->display_as('email', 'Email-ID');
        $crud->set_subject('Contact Us');
        $crud->unset_export();
        $crud->unset_print();
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function contactReason() {       
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_contact_person');
        $crud->columns('reason','email');
        $crud->display_as('reason', 'Contact Reason')                
                ->display_as('email', 'Email');
        $crud->set_subject('Contact Reason');
        $crud->unset_export();
        $crud->unset_print();
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function currentVacancies() {       
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_job_circular');
        $crud->columns('job_position','job_vacancies','job_description','job_requirements','job_salary','job_benefit','job_location');
        $crud->display_as('job_position', 'Job Position')                
				->display_as('job_vacancies', 'Job Vacancies')
				->display_as('job_description', 'Job Description')
				->display_as('job_requirements', 'Job Requirements')
				->display_as('job_salary', 'Salary')
				->display_as('job_benefit', 'Job Benefit')
				->display_as('job_location', 'Job Location');
        $crud->set_subject('Current Vacancies');
        $crud->unset_export();
        $crud->unset_print();
        $output = $crud->render();

        $this->_example_output($output);
    }
		/*===============================Career===============================*/

	public function employee() {
        $crud = new grocery_CRUD();

        $crud->set_table('tbl_employee');
        $crud->columns('details','image');
		$crud->display_as('details', 'Engreen as an Eemployee Details')
             ->display_as('image', 'Image Upload');
        $crud->set_field_upload('image', 'upload');
        $crud->callback_before_delete(array($this,'unlink_employee'));

       
        $crud->set_subject('Engreen as an Employee');
        $output = $crud->render();

        $this->_example_output($output);
    }
	 public function unlink_employee($primary_key)
	{
		$row = $this->db->where('id',$primary_key)->get('tbl_employee')->row();
	
		unlink('upload/'.$row->file_upload);
	   
		return true;
	}
}